VERSION 5.00
Begin VB.Form SyncForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Change HotSync Action"
   ClientHeight    =   3360
   ClientLeft      =   45
   ClientTop       =   390
   ClientWidth     =   6330
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3360
   ScaleWidth      =   6330
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CheckBox chkDefault 
      Caption         =   "Se&t as Default"
      Height          =   255
      Left            =   4740
      TabIndex        =   7
      Top             =   1620
      Width           =   1395
   End
   Begin VB.Frame frmOptions 
      Caption         =   " HotSync Action for Ch. 4a"
      Height          =   2895
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   4215
      Begin VB.OptionButton optDoNothing 
         Caption         =   "Do &nothing"
         Height          =   255
         Left            =   1260
         TabIndex        =   4
         Top             =   2310
         Width           =   2715
      End
      Begin VB.OptionButton optHHToPC 
         Caption         =   "&Handheld overwrites Desktop"
         Height          =   255
         Left            =   1260
         TabIndex        =   3
         Top             =   1680
         Width           =   2715
      End
      Begin VB.OptionButton optPCToHH 
         Caption         =   "&Desktop overwrites handheld"
         Height          =   255
         Left            =   1260
         TabIndex        =   2
         Top             =   1050
         Width           =   2715
      End
      Begin VB.OptionButton optSync 
         Caption         =   "&Synchronize the files"
         Height          =   255
         Left            =   1260
         TabIndex        =   1
         Top             =   420
         Value           =   -1  'True
         Width           =   2715
      End
      Begin VB.Image Image1 
         Height          =   2325
         Left            =   240
         Picture         =   "Ch4aForm.frx":0000
         Top             =   360
         Width           =   1005
      End
   End
   Begin VB.CommandButton btnCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   335
      Left            =   4740
      TabIndex        =   6
      Top             =   720
      Width           =   1155
   End
   Begin VB.CommandButton btnOk 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   330
      Left            =   4740
      TabIndex        =   5
      Top             =   300
      Width           =   1155
   End
End
Attribute VB_Name = "SyncForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Ch4aForm.frm
' Copyright 2001 Matthew J. Holmes
'
' This module provides the U/I logic for the conduit.

Option Explicit

Private m_nSyncType As Long
Private m_nSyncPref As Long
Private m_bCancel As Boolean

' SetFields() is called to initialize form variables before any
' element on the form is accessed (or the form is shown).
Public Sub SetFields(ByVal nSyncPerm As Long)
          
    m_nSyncType = nSyncPerm
    
End Sub

' GetFields() may be called to retrieve the user settings after the
' form is unloaded.
Public Sub GetFields(ByRef nSyncNew As Long, _
                     ByRef nSyncTemp As Long, _
                     ByRef nSyncPerm As Long, _
                     ByRef nSyncPref As Long)
                     
    If m_bCancel Then Exit Sub
    
    ' Retrieve the "default" setting from the check box
    nSyncPref = m_nSyncPref
    
    ' Retrieve the action setting from the radio buttons
    nSyncNew = m_nSyncType
    nSyncTemp = m_nSyncType
    nSyncPerm = m_nSyncType
    
End Sub

Private Sub Form_Load()

    ' Set the radio buttons based on the HotSync information
    optSync.Value = False
    optHHToPC.Value = False
    optPCToHH.Value = False
    optDoNothing.Value = False
    
    Select Case m_nSyncType
    Case eHHtoPC
        optHHToPC.Value = True
    Case ePCtoHH
        optPCToHH.Value = True
    Case eDoNothing
        optDoNothing.Value = True
    Case Else
        optSync.Value = True
    End Select
    
    ' Set the preference check box - default to temporary by convention
    m_nSyncPref = eTemporaryPreference
    chkDefault.Value = Unchecked

    ' Assume the user will cancel.
    m_bCancel = True
    
End Sub

Private Sub btnOk_Click()

    ' Transfer form variables to public variables
    If optSync.Value Then
        m_nSyncType = ESyncTypes.eFast
    ElseIf optPCToHH.Value Then
        m_nSyncType = ESyncTypes.ePCtoHH
    ElseIf optHHToPC.Value Then
        m_nSyncType = ESyncTypes.eHHtoPC
    ElseIf optDoNothing.Value Then
        m_nSyncType = ESyncTypes.eDoNothing
    End If
    
    If chkDefault.Value = Checked Then m_nSyncPref = ePermanentPreference
    
    ' Flag used in GetFields() to see if the variables are valid
    m_bCancel = False
    Unload Me
    
End Sub

Private Sub btnCancel_Click()

    ' Flag used in GetFields() to see if the variables are valid
    m_bCancel = True
    Unload Me
    
End Sub
